PAN-GST Link Verification
curl --request POST \
--url https://bgv.konnectnxt.com/api/v2/verification/pan-gst-link/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pan_number": "AABCI6363G"
}
'import requests
url = "https://bgv.konnectnxt.com/api/v2/verification/pan-gst-link/"
payload = { "pan_number": "AABCI6363G" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pan_number: 'AABCI6363G'})
};
fetch('https://bgv.konnectnxt.com/api/v2/verification/pan-gst-link/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"message": "Operation completed successfully",
"data": {
"gst_associated_with_pan": true,
"gst_registrations": [
{
"gstin": "27AABCI6363G1ZJ",
"status": "ACTIVE",
"state": "Maharashtra"
}
]
},
"credits_used": 10,
"credits_remaining": 984096.5
}Business Verification
PAN-GST Link
Check if a PAN number is linked to any GST registrations
POST
/
v2
/
verification
/
pan-gst-link
/
PAN-GST Link Verification
Overview
Verify if a PAN number is associated with GST registrations and retrieve all linked GSTIN details including status and state information.Authorizations
API key issued by KonnectNXT. Pass as Authorization: Bearer <your_api_key>.
Body
application/json
PAN number to check for GST linkage
Required string length:
10Pattern:
^[A-Z]{5}[0-9]{4}[A-Z]$Example:
"AABCI6363G"
Response
Success Response
Overall status of the API
Available options:
success, error HTTP status code
Example:
400
Description of the response or error
Example:
"Invalid request parameters"
Represents the total number of credits used in this request.
Example:
3
Represents the remaining credits available for use.
Example:
4040
Show child attributes
Show child attributes
Was this page helpful?
⌘I

